@import '../../../assets/styles/vars.css';

.pmc-connection {
  position: relative;

  & .pmc-connected ul,
  & .pmc-not-connected ul {
    list-style: none;
    padding-left: 0;
  }

  & .profile-block {
    position: relative;

    & .profile {
      position: relative;
      width: 35px;
      height: 35px;
      margin: 15px auto;

      & img {
        box-shadow: 0 0 1px 1px #E9ECEF;
        border-radius: 100%;
      }

      & .dropdown-toggle {
        position: absolute;
        bottom: 0;
        right: 0;
        width: 12px;
        height: 12px;
        box-shadow: 0 0 1px 1px #E9ECEF;
        border-radius: 100%;
        padding: 4px;
        background-color: #ffffff;

        & svg {
          display: block;
          width: 5px;
          height: 5px;
        }
      }

      &:hover,
      &.open {
        & .dropdown-menu {
          display: block;
          position: absolute;
          top: 40px;
          left: -93px;
          z-index: 22;
          width: 240px;
          border: 1px solid #E9EDEF;
          border-radius: 4px;
          background-color: #FFFFFF;
          box-shadow: -1px -1px 6px 0 rgba(157, 170, 177, 0.2);

          & li {
            text-align: center;
            border-bottom: 2px solid #F4F3F4;
            & a {
              height: 23px;
              color: #222C31;
              font-size: 14px;
              line-height: 23px;
            }
          }

          &:before {
            content: "";
            position: absolute;
            top: -10px;
            left: 50%;
            margin-left: -10px;
            width: 0;
            height: 0;
            border-style: solid;
            border-width: 0 10px 10px 10px;
            border-color: transparent transparent #ffffff transparent;
          }
        }
      }
    }
  }

  & .dropdown-menu {
    display: none;
  }

  & a.connect-link {
    text-decoration: none;
    padding: 0;
    display: block;
    width: 20px;
    height: 25px;
    margin: 19px auto;
    @media (--media-min-desktop) {
      padding: 13px 10px 24px 10px;
      height: auto;
      width: auto;
      margin: auto;
    }
  }

  & .profile-icon {
    height: 25px;
    width: 20px;
    & svg {
      fill: var(--megaCurrentSite);
      height: 25px;
      width: 20px;
    }
    @media (--media-min-desktop) {
      height: 9px;
      width: 12px;
      display: block;
      margin: 0 auto 5px auto;
      & svg {
        fill: var(--megaCurrentSite);
        height: 12px;
        width: 9px;
      }
    }
  }

  & .profile-cta {
    display: none;
    @media (--media-min-desktop) {
      color: #222C31;
      font-size: 12px;
      line-height: 22px;
      display: block;
      text-align: center;
    }
  }

}
